﻿function GetPluginSettings()
{
    return {
        "name": "WhatsApp Stickers",
        "id": "VinoosWAStickers",
        "version": "1.0.0",
        "description":	"Integration of WhatsApp Stickers to construct 2",
        "author": "Vinoos",
        "help url": "http://vinoos.ir/help/plugins/whatsapp-sticers.php",
        "category": "Vinoos",
        "type": "object",
        "rotatable": false,
        "cordova-plugins": "https://github.com/vinoosir/cordova-whatsapp-stickers",
        "flags": 0 | pf_singleglobal

    };
};

//////////////////////////////////////
// Conditions
	AddCondition(0, cf_trigger, "On Add Sticker Failed", "Global", "On Add Sticker Failed", "On Add Sticker Failed", "onAddGlobalFailed");
	AddCondition(1, cf_trigger, "On Add Sticker Success", "Global", "On Add Sticker Success", "On Add Sticker Success", "onAddGlobalSuccess");
	
	AddStringParam("Pack Id", "Sticker Pack Id");
	AddCondition(2, cf_trigger, "On Add Sticker Failed", "Single", "On Add Sticker {0} Failed", "On Add Sticker Failed", "onAddSingleFailed");
	AddStringParam("Pack Id", "Sticker Pack Id");
	AddCondition(3, cf_trigger, "On Add Sticker Success", "Single", "On Add Sticker {0} Success", "On Add Sticker Success", "onAddSingleSuccess");


//////////////////////////////////////
// Actions

	AddStringParam("Pack Id", "Sticker Pack Id");
	AddStringParam("Pack Name", "Sticker Pack Name");
	AddAction(0, af_none, "Add sticker", "Sticker", "Add sticker to WhatsApp. (Pack Id: {0} Pack Name: {1})", "Add sticker to WhatsApp", "addStickerToWhatsApp");
	
	AddStringParam("JSON", "Sticker Pack JSON");
	AddAction(1, af_none, "Add sticker with json", "Sticker", "Add sticker to WhatsApp with json.", "Add sticker to WhatsApp with json", "addStickerToWhatsApp2");


//////////////////////////////////////////////////////////////
// Expressions
	AddExpression(1, ef_return_string, "Returns last error message.", "Sticker", "ErrorMessage", "Returns last error message.");

ACESDone();

//////////////////////////////////////
// Properties
	var property_list = [];

// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
    return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
    return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");

    // Save the constructor parameters
    this.instance = instance;
    this.type = type;

    // Set the default property values from the property table
    this.properties = {};

    for (var i = 0; i < property_list.length; i++)
        this.properties[property_list[i].name] = property_list[i].initial_value;

    // Plugin-specific variables
    // this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}

